Subject: Rose Gall

From: [email-masked] (MICHAEL LYNN)
Date: 2 Nov 1995 21:13:03 GMT

My Rose Garden consisting of Hi-Bred Teas became infected with Rose
Gall and is the anything available to cure this short of removing the
plants. I live in the San Fernando Valley Area Of Southern California